Bug 476134 - FutureFeature - add timestamp to vmstat with new option -t
FutureFeature - add timestamp to vmstat with new option -t
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: procps (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Novotny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-11 22:45 EST by Helmut Tessarek
Modified: 2009-12-04 05:46 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-04 05:46:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
new spec file and patch to add a new option to vmstat (30.00 KB, application/octet-stream)
2008-12-11 22:45 EST, Helmut Tessarek
no flags Details
patch of the vmstat manpage to document the new functionality (744 bytes, patch)
2009-02-03 06:44 EST, Daniel Novotny
no flags Details | Diff

  None (edit)
Description Helmut Tessarek 2008-12-11 22:45:36 EST
Created attachment 326702 [details]
new spec file and patch to add a new option to vmstat

In certain circumstances it is important to have a timestamp added to a vmstat output. In AIX there is a -t option to do that.

I have checked out the latest F-10 code for the procps package and I wrote a patch.

I am attaching the new .spec file and the patch as a tar file.

I have tested the patch and the rpm build process. Everything works as it should.

Hopefully this is the right place to request new features. Sorry, if I did something wrong. This is the first time that I use bugzilla.
Comment 1 Daniel Novotny 2009-02-03 06:43:01 EST
Hello Helmut, thanks for the patch. It seems OK, I tested it.
However, we need to document this new functionality in the vmstat manpage.

p.s. It is sufficient to attach the patch, you need not to attach the .spec file.
Comment 2 Daniel Novotny 2009-02-03 06:44:06 EST
Created attachment 330725 [details]
patch of the vmstat manpage to document the new functionality
Comment 3 Helmut Tessarek 2009-02-03 15:25:53 EST
Hi Daniel, I'm sorry regarding the man page. I honestly forgot about it, otherwise I would have sent a patch as well. Yep, you always forget about the most important things... :-)

Regarding the .spec file: I thought that patches are applied in sequence, so I made a diff from the already patched vmstat.c to my changed file.
For the future, what is the procedure for submitting patches?
Do I send a patch for the base file, or do I send a patch for the file that has already all patches included?

One last question: will this patch also be available in RHEL, or do I have to create another bug entry for that?
Comment 4 Fedora Update System 2009-02-04 21:20:43 EST
procps-3.2.7-22.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update procps'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1339
Comment 5 Bug Zapper 2009-11-18 05:27:18 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Helmut Tessarek 2009-12-03 13:54:10 EST
The changes are already in F11 and F12, so I think it is safe to close the bug.

Thanks.
Comment 7 Daniel Novotny 2009-12-04 05:46:40 EST
OK, closing

Note You need to log in before you can comment on or make changes to this bug.